%define name hh2000
%define version 0.6
%define release 7mdk

Summary: 	An astronomy program
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Sciences/Astronomy
Url: 		http://hirame.hiram.edu/~worleyam/
Source: 	%{name}-%{version}.tar.bz2
Patch:      %{name}-0.6.fix-compile.patch.bz2
Buildroot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgtkglarea5-devel libgnome32-devel
BuildRequires:	libMesaGLU1-devel

%description
A solar system browser

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch -p1
%build

%configure

%make

%install

%makeinstall

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat > $RPM_BUILD_ROOT/%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/hh2000"\
title="Hitchhiker2000"\
longtitle="A solar system browser"\
needs="x11"\
icon="astronomy_section.png"\
section="Applications/Sciences/Astronomy"
EOF


%find_lang %{name}

%post
%{update_menus}
 
%postun
%{clean_menus}   

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/pixmaps/*.png
%dir %{_datadir}/pixmaps/hh2000/
%{_datadir}/pixmaps/hh2000/*.xpm
%{_datadir}/pixmaps/hh2000/*.png
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*/*
%doc AUTHORS COPYING ChangeLog Credits.html NEWS README TODO
%config %_datadir/gnome/apps/Applications/hh2000.desktop
%{_menudir}/*


%changelog

* Fri Aug 01 2003 Michael Scherer <scherer.michael@free.fr> 0.6-7mdk
- BuildRequires ( libMesaGLU1-devel )
- macro in menu
 
* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6-6mdk
- buildrequires

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6-5mdk
- rebuild

* Sat Jan 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-4mdk
- Fix menu entry
- Add missing files
- Add build requires

* Tue Jul 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6-3mdk
- rebuild

* Thu Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6-2mdk
- rebuild

* Thu Oct 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6-1mdk
- new in contribs
- menu
